﻿namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        TestDatabase database = new TestDatabase();

        database.GroupTable.Insert(new Group() { Name = "그룹 1"});
        database.GroupTable.Insert(new Group() { Name = "그룹 2"});

        database.MemberTable.Insert(new Member() { Name = "김철수", GroupID = 1 });
        database.MemberTable.Insert(new Member() { Name = "홍길동", GroupID = 1 });
        database.MemberTable.Insert(new Member() { Name = "홍삼수", GroupID = 1 });

        database.MemberTable.Insert(new Member() { Name = "김영희", GroupID = 2 });
        database.MemberTable.Insert(new Member() { Name = "이주희", GroupID = 2 });

        foreach(Group group in database.GroupTable)
        {
            Console.WriteLine($"{group.ID}, {group.Name}");
        }

        foreach(Member member in database.MemberTable)
        {
            Console.WriteLine($"{member.ID}, {member.Name}, {member.GroupID}");
        }
    }

    #endregion
}